@charset "UTF-8";

@mixin size($width, $height: $width)
    height: $height
    width: $width

@mixin sheet()
    box-shadow: 0 22px 22px -22px rgba(0, 0, 0, 0.8) inset, 0 -22px 22px -22px rgba(0, 0, 0, 0.8) inset
    border: 2px solid $primary_color
    border-left: 0px
    border-right: 0px

@mixin invert
    path, h1, h4,h5, p, a
        stroke: $body-background
        color: $body-background

@mixin media
    @include xy-grid;
    & > div
        &:first-child
            @include xy-cell(shrink,false)
        &:last-child
            @include xy-cell(auto,false)
    svg
        margin: 1rem

@mixin overlay($before: false, $after: false, $border-radius: 32px, $gap: 8px, $margin: 16px, $border: 2px, $height: 100%, $width: 100%)
    background-color: red
    position: relative
    width: calc(#{$width} - #{2*$margin})
    padding-top: calc(#{$height} - #{2*$margin})
    margin: $margin
    border-radius: $border-radius - 0 * 1px
    box-shadow: 0 0 1px $body-background
    display: inline-block
    @if $before
        &::before
            content: ""
            width: calc(100%)
            height: calc(100%)
            position: absolute
            top: 0
            left: 0
            background-image: linear-gradient(-180deg,rgba(54,66,74,.6),rgba(54,66,74,.3) 85%)
            border-radius: $border-radius - 0
    @if $after
        &::after
            content: ""
            width: calc(100% + #{2*$gap})
            height: calc(100% + #{2*$gap})
            position: absolute
            top: -$gap
            left: -$gap
            border-radius: $border-radius
            border: $border solid $primary_color

@mixin pad()
    text-align: center
    border: 2px solid $primary_color
    border-radius: 24px
    padding: 8px
    margin: 8px
    display: inline-block
    position: relative
//    &::before
//        content: ""
//        width: $line-height + 16px + 4px
//        height: $line-height + 16px + 4px
//        position: absolute
//        top: -2px
//        left: -2px
//        border: 6px solid $primary_color
//        border-radius: 100%
